#include<stdio.h>
int main()
{
  int n,i,j;
  scanf("%d",&n);
  if(n<=0)
  {
    printf("-1\n");
    return -1;
  }
  for(i=n; i>=1; i--)
  {
    for(j=1; j<=n-i; j++)
      printf(" ");
    for(j=1; j<=i*2-1; j++)
      if(j%2==0)
	printf("-");
      else
	printf("*");
    printf("\n");
  }

  return 0;
}